<?php

//choose blog form
function bp_quickpress_switch_blog_form() {
		global $bp;
		global $blog_id;
		
		$form_action = $bp->loggedin_user->domain . $bp->blogs->slug . '/'.__('quickpress', 'bp-quickpress-slugs' ).'/switch-blog';
		$form_action = apply_filters('bp_quickpress_form_switchblog_url',$form_action);
?>
	<form id="bp_quickpress_blog_select" name="bp_quickpress_new_post" method="post" action="<?php echo $form_action; ?>">
		<p>
			<label for="blog"><?php _e('Blog');?></label><br/>
			<?php if ( bp_has_blogs(array('user_id'=>$bp->loggedin_user->id)) ) :
			if ($_GET['blog_id']) $blog_id = $_GET['blog_id'];
			?>
				<select name="blog_id" id="blog_id" onchange="this.form.submit()">
					<?php 
					while ( bp_blogs() ) : bp_the_blog();
						unset($selected);
						$thisblogid=bp_quickpress_blog_loop_id();
						if ($thisblogid==$blog_id) $selected=" SELECTED";
					echo'<option value="'.$thisblogid.'" '.$selected.'>'.bp_get_blog_title().'</option>';

					endwhile; ?>
				</select>
			<?php endif; ?>
		</p>
		<input type="hidden" name="action" value="quickpress-switch-blog"/>
	</form>
<?php
}

//creation post
function bp_quickpress_creation_form() {
	global $bp;
	
	if (!bp_quickpress_user_can('edit_posts')) return false;
	
	$form_action = $bp->loggedin_user->domain . $bp->blogs->slug . '/'.__('quickpress', 'bp-quickpress-slugs' ).'/'.__( 'save', 'bp-quickpress-slugs' );
	$form_action = apply_filters('bp_quickpress_form_creation_url',$form_action);
?>

	<form id="bp_quickpress_new_post" name="bp_quickpress_new_post" method="post" action="<?php echo $form_action; ?>">
		<p>
			<?php bp_quickpress_creation_form_content($_REQUEST['blog_id']);?>
			
			<?php do_action('bp_quickpress_creation_form');?>
			
			<?php wp_nonce_field( 'bp-quickpress-new-post' ); ?>
			<input type="hidden" name="action" value="quickpress-new"/>
			<?php
				if ($_REQUEST['blog_id'])
					echo'<input type="hidden" name="blog_id" value="'.$_REQUEST['blog_id'].'"/>';
			?>
			<input id="save" type="submit" value="<?php _e('Save');?>"/>
		</p>
		
	</form>

<?php

}


	function bp_quickpress_creation_form_content($blog_id,$tags=true,$cats=true) {
	?>
		<p>
			<label for="title"><?php _e('Title');?></label><br/>
			<input type="text" name="title" id="title"/>
		</p>
		<p>
			<label for="posttext"><?php _e('Description');?><small> - <em><?php _e('HTML allowed','bp-quickpress');?></em></small></label><br/>
			<textarea name="posttext" id="posttext" rows="3"></textarea>
		</p>
		
		<?php
		
		if ($tags)
			bp_quickpress_tags($blog_id);
		if ($cats)
			bp_quickpress_categories($blog_id);
		
		do_action('bp_quickpress_creation_form_content');?>
		
	<?php
	}


//edition post
function bp_quickpress_edition_form() {
	global $bp;
	global $blog_id;

	if (!bp_quickpress_user_can('edit_posts')) return false;
	
	$form_action = $bp->loggedin_user->domain . $bp->blogs->slug . '/'.__( 'quickpress', 'bp-quickpress-slugs' ).'/'.__( 'save', 'bp-quickpress-slugs' );
	$form_action = apply_filters('bp_quickpress_form_creation_url',$form_action);
?>
	<form id="bp_quickpress_edit_post" name="bp_quickpress_edit_post" method="post" action="<?php echo $form_action; ?>">
		<p>
			<label for="blog_id"><?php _e('Blog');?></label><br/>
			<em>
			<?php
			
			if ($blog_id!=$_REQUEST['blog_id']) {
				$name = get_blog_option($_REQUEST['blog_id'],'blogname');
			}else {
				$name = get_blog_option($blog_id,'blogname');
			}
			echo $name;
			?>
			</em>
		</h3>
		</p>
		<?php bp_quickpress_edition_form_content($_REQUEST['blog_id']);?>
		<p>
		
			<?php wp_nonce_field( 'bp-quickpress-new-post' ); ?>
			<input type="hidden" name="post_id" value="<?php the_ID(); ?>"/>
			<input type="hidden" name="action" value="quickpress-new"/>
			<?php
				if ($_REQUEST['blog_id'])
					echo'<input type="hidden" name="blog_id" value="'.$_REQUEST['blog_id'].'"/>';
			?>
			<?php
		if (!bp_quickpress_user_can('publish_posts')) {
			$submit_text = __('Submit for Review');
		}else {
			$submit_text = __('Publish');
		}
		?>
			<input id="publish" type="submit" value="<?php echo $submit_text;?>"/>
		</p>
	</form>
<?php
}

	function bp_quickpress_edition_form_content($blog_id,$tags=true,$cats=true) {
	
	?>
	
		<p>
		<label for="title"><?php _e('Title');?></label><br/>
		<input type="text" name="title" id="title" value="<?php the_title(); ?>"/>
		</p>
		<p>
		<label for="posttext"><?php _e('Description');?><small> - <em><?php _e('HTML allowed','bp-quickpress');?></em></small></label><br/>
		<textarea name="posttext" id="posttext" rows="3"><?php echo esc_html(get_the_content()); ?></textarea>
		</p>
		<?php 
		if ($tags)
			bp_quickpress_tags($blog_id);
		if ($cats)
			bp_quickpress_categories($blog_id);
			
		do_action('bp_quickpress_edition_form_content');
			
		?>
	<?php
	}



//CATEGORIES

//display categories
function bp_quickpress_categories($blog_id=false) {
	
	$array_categories = bp_quickpress_get_taxonomy('category',$blog_id);
	
	$treeset = new TreeSet();
	
	bp_quickpress_switch_blog($blog_id); //needed for bp_quickpress_format_category

	
	$categories_tree = $treeset -> drawTree($treeset -> buildTree($array_categories),'bp_quickpress_format_category');
	bp_quickpress_switch_blog();
	
	
	$output.='<p>';
	$output.='<label for="categories">'.__('Categories').'</label><br/>';
	$output.='<div id="categories">';
	$output.=$categories_tree;
	$output.='</div>';
	$output.='</p>';

	echo $output;
}

//display tags
function bp_quickpress_tags($blog_id=false) {
	global $post;
	bp_quickpress_switch_blog($blog_id);
	$post_tags = wp_get_post_tags($post->ID);
	bp_quickpress_switch_blog();
	
	if ($post_tags) {
		foreach($post_tags as $tag) {
			$taglist[]=$tag->name;
		}
		$tags_str = implode(',',$taglist);
	}
	
	$output.='<p>';
	$output.='<label for="tags">'.__('Tags').'</label><br/>';
	$output.='<input type="text" name="tags" id="tags" value="'.$tags_str.'"/>';
	
	echo $output;
?>
	
<?php
}


//format category item
function bp_quickpress_format_category($cat) {
	global $post;
	
	$post_cats = wp_get_post_categories($post->ID);

	
	if ( (is_array($post_cats))&&in_array($cat->ID,$post_cats)) {
		$checked=' CHECKED';
	}elseif (($cat->ID==1) && (empty($post_cats))){ //default
		$checked=' CHECKED';
	}

	$html='<li class="category" id="cat-'.$cat->ID.'"><div class="folder icon"></div><input type="checkbox" name="categories[]" value="'.$cat->ID.'"'.$checked.'> <span class="text">'.$cat->name.'</span>';
	
	return $html;
}

?>